import 'package:flutter/material.dart';
import 'package:get/get.dart';


import '../../../core/constants/translation_keys.dart';
import '../../../custom_widgets/custom_app_bar.dart';
import '../../../custom_widgets/custom_button.dart';
import '../../../res/app_colors.dart';
import '../../../routes/app_pages.dart';
import '../controllers/cheque_status_controller.dart';

class ChequeStatusView extends GetView<ChequeStatusController> {
  const ChequeStatusView({Key? key}) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return Scaffold(
      appBar: DashBoardAppBar(
        title: TranslationKeys.makeTranslation(TranslationKeys.textChequeStatus),
        onBackButtonPressed: () {
          Get.back();
        },
      ),
      persistentFooterAlignment: AlignmentDirectional.bottomCenter,
      resizeToAvoidBottomInset: false,
      persistentFooterButtons: [
        Padding(
          padding: const EdgeInsets.symmetric(horizontal: 20, vertical: 10),
          child: SizedBox(
            width: double.infinity,
            child: CustomButton(
              buttonColor: AppColors.colorButton,
              onPressed: () {
                Get.toNamed(Routes.CHEQUE_STATUS_HISTORY);
              },
              buttonText: TranslationKeys.makeTranslation(TranslationKeys.textNext),
              buttonPadding: const EdgeInsets.symmetric(horizontal: 20, vertical: 10),
            ),
            // ElevatedButton(
            //   onPressed: () {
            //     Get.toNamed(Routes.CHEQUE_STATUS_HISTORY);
            //   },
            //   child: Text("Next", style: Theme.of(context).textTheme.labelMedium?.copyWith(color: AppColors.white)),
            //   style: ElevatedButton.styleFrom(
            //     backgroundColor: AppColors.btnColor,
            //     shape: RoundedRectangleBorder(
            //       borderRadius: BorderRadius.circular(50),
            //     ),
            //   ),
            // ),
          ),
        ),
      ],
      body: Padding(
        padding: const EdgeInsets.symmetric(horizontal: 20, vertical: 20),
        child: Column(
          crossAxisAlignment: CrossAxisAlignment.start,
          children: [
            Text(TranslationKeys.makeTranslation(TranslationKeys.textChequeStatusContent), style: Theme.of(context).textTheme.bodySmall),
            const SizedBox(height: 20),
            Text(TranslationKeys.makeTranslation(TranslationKeys.textChequeNumber), style: Theme.of(context).textTheme.bodySmall),
            Container(
              margin: const EdgeInsets.symmetric(horizontal: 0, vertical: 18),
              height: 40,
              padding: const EdgeInsets.symmetric(horizontal: 3.0),
              decoration: BoxDecoration(
                color: Colors.white,
                border: Border.all(color: Colors.grey),
                borderRadius: BorderRadius.circular(20.0),
              ),
              child: Row(
                crossAxisAlignment: CrossAxisAlignment.center,
                mainAxisAlignment: MainAxisAlignment.spaceBetween,
                children: [
                  Expanded(
                    child: TextField(
                      style: Theme.of(context).textTheme.bodySmall?.copyWith(fontWeight: FontWeight.w400, fontSize: 12),
                      decoration: InputDecoration(
                        enabledBorder: InputBorder.none,
                        border: InputBorder.none,
                        focusedBorder: InputBorder.none,
                        hintText: TranslationKeys.makeTranslation(TranslationKeys.textEnterChequeNumber),
                      ),
                      // onChanged: (value) => controller.filterList(value),
                    ),
                  ),
                ],
              ),
            ),
          ],
        ),
      ),
    );
  }
}
